Page MenuHomePhabricator

CirrusSearch: * or ? at the start of a word is ignored
Closed, ResolvedPublic

Description

Reported as a followup to T58163 but I'm going to track this as a separate bug.

The problem: searching for things like <<*chokolade>> don't find <<chokolade>> or <<inchokolade>>. Note wildcards like ? and * at the start of the word are inefficient and we've turned them off in production. But they should still be turn-on-able. In this case Cirrus actually eats *s that don't come at the beginning of a word. We should just not eat those *s and continue turn it off using a query flag in production and make the query flag configurable (default to allowed?) for other users.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterDisable leading wildcard searches in CirrusSearch
mediawiki/extensions/CirrusSearch : masterAllow leading wildcard

Event Timeline

Manybubbles raised the priority of this task from to Needs Triage.
Manybubbles updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2015, 5:46 PM
SmartK added a subscriber: SmartK.Mar 5 2015, 6:02 PM
Manybubbles reopened this task as Open.Mar 23 2015, 12:51 PM
bd808 edited projects, added Discovery; removed MediaWiki-Core-Team.Apr 7 2015, 4:56 PM
Jdouglas triaged this task as Medium priority.Apr 14 2015, 6:38 PM
Jdouglas set Security to None.
Manybubbles moved this task from Needs triage to Search on the Discovery board.May 7 2015, 8:00 PM

It seems the goal here then is to add a feature flag, off in wmf production, to allow these to pass through?

Change 210620 had a related patch set uploaded (by EBernhardson):
Disable leading wildcard searches in CirrusSearch

https://gerrit.wikimedia.org/r/210620

Change 210621 had a related patch set uploaded (by EBernhardson):
Allow leading wildcard

https://gerrit.wikimedia.org/r/210621

Change 210621 merged by jenkins-bot:
Allow leading wildcard

https://gerrit.wikimedia.org/r/210621

Change 210620 merged by jenkins-bot:
Disable leading wildcard searches in CirrusSearch

https://gerrit.wikimedia.org/r/210620

EBernhardson closed this task as Resolved.May 15 2015, 10:11 PM
EBernhardson moved this task from Needs review to Done on the Discovery-Search (Current work) board.